Post by Cue4cheap » Sat Mar 21, 2020 12:18 pm

I attempted to upgrade to 3.0.3.2 and it looks like it actually went fine BUT with TWIG and the two scripts I use that are critical to my site (price and special updates, and wholesaler quantity and options quantity updates) it doesn't look like a viable option at this time BUT that brings me to my subject. Is 2.3.0.2 too old to upgrade to? AND is there a working upgrade path from 1.5.6.4?

Thank you,
Mike
P.S. I will say I was impressed by 3.0.3.2's upgrade script. It actually seemed to work without a hitch.

cue4cheap not cheap quality


Active Member

Posts

Joined
Fri Sep 20, 2013 4:45 am

Post by OSWorX » Sat Mar 21, 2020 4:09 pm

Cue4cheap wrote:
Sat Mar 21, 2020 12:18 pm
Is 2.3.0.2 too old to upgrade to?
No, OC 2.3.0.2 is the best option currently.
OC 3.x brings no real benefit, the more when 3.1.x is published (whenever ..).

Custom Development | Individuelle Entwicklung | Support & Bugfixes

Image Image Image


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by IP_CAM » Sat Mar 21, 2020 9:31 pm

Find the latest updated OC v.2.3.0.2 Download from xxvirusxx here:
https://github.com/condor2/Opencart_2302

Please don't send me OC Forum Personal Messages, just contact: jti@jacob.ch
---
OC 1.5.6.5 LIGHT Test Site: http://www.bigmax.ch/shop/
OC 1.5.6.5 V-PRO Test Site: http://www.jacob.ch/shop/
My Github OC Site: https://github.com/IP-CAM
2'450+ FREE OC Extensions from the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by Cue4cheap » Sun Mar 22, 2020 5:46 am

OSWorX wrote:
Sat Mar 21, 2020 4:09 pm
Cue4cheap wrote:
Sat Mar 21, 2020 12:18 pm
Is 2.3.0.2 too old to upgrade to?
No, OC 2.3.0.2 is the best option currently.
OC 3.x brings no real benefit, the more when 3.1.x is published (whenever ..).
Is there a good upgrade that works from 1.5.6.4 to 2.3.0.2 ?

Thank you,
Mike

cue4cheap not cheap quality


Active Member

Posts

Joined
Fri Sep 20, 2013 4:45 am

Post by IP_CAM » Sun Mar 22, 2020 6:16 am


Please don't send me OC Forum Personal Messages, just contact: jti@jacob.ch
---
OC 1.5.6.5 LIGHT Test Site: http://www.bigmax.ch/shop/
OC 1.5.6.5 V-PRO Test Site: http://www.jacob.ch/shop/
My Github OC Site: https://github.com/IP-CAM
2'450+ FREE OC Extensions from the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by Cue4cheap » Mon Mar 23, 2020 11:09 am

IP_CAM wrote:
Sun Mar 22, 2020 6:16 am
Peku should be able to, he also released a free Github Release:
https://github.com/pekka2/OpenCart-Migr ... grade-Tool
https://www.opencart.com/index.php?rout ... n_id=21575
I tried the upgrade using the github release. I copied over my files to a new directory and copied the database over to another, updated the config files.
Attempted the upgrade using that script and got a screen full of:

Code: Select all

Notice: unserialize(): Error at offset 0 of 75 bytes in /home/store/public_html/store2/converter/index.php on line 89
Notice: unserialize(): Error at offset 0 of 75 bytes in /home/store/public_html/store2/converter/index.php on line 89
Notice: unserialize(): Error at offset 0 of 77 bytes in /home/store/public_html/store2/converter/index.php on line 89
Notice: unserialize(): Error at offset 0 of 292 bytes in /home/store/public_html/store2/converter/index.php on line 89
Notice: unserialize(): Error at offset 0 of 64 bytes in /home/store/public_html/store2/converter/index.php on line 89
Notice: unserialize(): Error at offset 0 of 93 bytes in /home/store/public_html/store2/converter/index.php on line 89
Notice: unserialize(): Error at offset 0 of 131 bytes in /home/store/public_html/store2/converter/index.php on line 89
Notice: unserialize(): Error at offset 0 of 289 bytes in /home/store/public_html/store2/converter/index.php on line 89
Notice: unserialize(): Error at offset 0 of 147 bytes in /home/store/public_html/store2/converter/index.php on line 89
when it goes to upgrade the database.

I would think by now there would be multiple upgrades that work from 1.5.6.4 up to 2.3..0.2 but for me 1 for 1 is a no go.
I will recreate a copy of the files and and the database again.
I will also be searching for other upgraders and report on any that seem to work (if any).

Thank you for the help so far. :)
Mike
Last edited by straightlight on Wed Mar 25, 2020 5:50 pm, edited 1 time in total.
Reason: Added code tags.

cue4cheap not cheap quality


Active Member

Posts

Joined
Fri Sep 20, 2013 4:45 am

Post by Cue4cheap » Mon Mar 23, 2020 12:17 pm

I am going to try the native upgrade based upon this post:
viewtopic.php?t=171297

I am going to try it tomorrow as it is getting pretty late here and I just got the files copied over and the copy of the database made again.

Mike

cue4cheap not cheap quality


Active Member

Posts

Joined
Fri Sep 20, 2013 4:45 am

Post by Cue4cheap » Mon Mar 23, 2020 10:46 pm

Ok I used the upgrade built into 2.3.0.2, with NONE of my old files/extensions, and after the 2nd attempt it worked. The first attempt it chocked on the "better together" extension because it couldn't be found but I disabled that before copying the database over again and it looks like it worked.

Now time to go through and see what I can add back in. I really don't care about the look of the storefront at this time but I do need to make sure the functionality is still there as an online store.

Thank you,
Mike

cue4cheap not cheap quality


Active Member

Posts

Joined
Fri Sep 20, 2013 4:45 am

Post by cedcommerceteam » Wed Mar 25, 2020 4:19 pm

Cue4cheap wrote:
Sat Mar 21, 2020 12:18 pm
I attempted to upgrade to 3.0.3.2 and it looks like it actually went fine BUT with TWIG and the two scripts I use that are critical to my site (price and special updates, and wholesaler quantity and options quantity updates) it doesn't look like a viable option at this time BUT that brings me to my subject. Is 2.3.0.2 too old to upgrade to? AND is there a working upgrade path from 1.5.6.4?

Thank you,
Mike
P.S. I will say I was impressed by 3.0.3.2's upgrade script. It actually seemed to work without a hitch.
Hello mate,
It would also be great if we could mutually discussed regarding your query in person so that I can better convey with our team.
Thanks!!

Call us at : (+91) -8765210318 , Skype: live:carlmorgan.cedcommerce , Email: support@cedcommerce.com
CedCommerece : Officail Opencart Partners
CedCommerce Official : www.cedcommerce.com
Opencart Services : www.cedcommerce/opencart-services.com
Sell On various Marketplace Integration : Opencart-Extensions
Magenative Mobile App/IOS Development : magenative.com


User avatar
Active Member

Posts

Joined
Wed Aug 09, 2017 9:02 pm

Post by Cue4cheap » Thu Mar 26, 2020 12:53 am

cedcommerceteam wrote:
Wed Mar 25, 2020 4:19 pm
Hello mate,
It would also be great if we could mutually discussed regarding your query in person so that I can better convey with our team.
Thanks!!
Thanks but not interested and certainly not in person.
Mike

cue4cheap not cheap quality


Active Member

Posts

Joined
Fri Sep 20, 2013 4:45 am
Who is online

Users browsing this forum: No registered users and 4 guests